package config

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf
	// 加上DB結構體
	DB struct {
		DsnString string
	}
	Cache cache.CacheConf

	Bcrypt struct {
		Cost int
	}
}
