package logic

import (
	"context"

	"member/gen_result/pb/member"
	"member/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUidByAccountLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUidByAccountLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUidByAccountLogic {
	return &GetUidByAccountLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// GetUidByAccount 用帳號換取 UID
func (l *GetUidByAccountLogic) GetUidByAccount(in *member.GetUIDByAccountReq) (*member.GetUidByAccountResp, error) {
	// todo: add your logic here and delete this line

	return &member.GetUidByAccountResp{}, nil
}
