package snowflake

import (
	"fmt"
	"time"
)

type NewNodeError struct {
	machineNodeID int64
	startTime     time.Time

	Err error
}

func (e *NewNodeError) Error() string {
	return fmt.Sprintf("new node fail machineNodeID: %d, startTime: %s, err: %v",
		e.machineNodeID, e.startTime, e.Err)
}
